package com.ruoyi.system.domain.operatingmanage;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.Set;


/**
 * 企业招聘
 * @author wujm<wujm@eazytec.com>
 */
public class TPublicServiceComRecruit implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	/**
	 * 主键id
	 */
	private Long postId;
	
	/**
	 * 职位名称
	 */
	private String postName;
	
	/**
	 * 职位类型 全职 兼职
	 */
	private String postType;
	
	/**
	 * 学位要求
	 */
	private String postEdu;
	
	/**
	 * 工作经验
	 */
	private String postExp;
	
	/**
	 * 发布时间
	 */
	private String releaseTime;
	
	/**
	 * 截止时间
	 */
	private String endTime;
	
	/**
	 * 薪资
	 */
	private String salary;
	
	/**
	 * 职位描述
	 */
	private String postDesc;
	
	/**
	 * 是否隐藏 0 隐藏 1 显示  默认隐藏
	 */
	private Integer hiddenType;
	
	/**
	 * 发布企业id
	 */
	private Long comId;
	
	/**
	 * 是否有效1 有效 0 无效
	 */
	private Integer valid;
	
	/**
	 * 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	
	/**
	 * 
	 */
	private String createBy;
	
	/**
	 * 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	
	/**
	 * 
	 */
	private String updateBy;

	//企业名称
	private String comName;

	//企业信息
	private TPublicServiceComInfo tPublicServiceComInfo;

	private Set<Long> comIds;

	public Set<Long> getComIds() {
		return comIds;
	}

	public void setComIds(Set<Long> comIds) {
		this.comIds = comIds;
	}

	public TPublicServiceComInfo gettPublicServiceComInfo() {
		return tPublicServiceComInfo;
	}

	public void settPublicServiceComInfo(TPublicServiceComInfo tPublicServiceComInfo) {
		this.tPublicServiceComInfo = tPublicServiceComInfo;
	}

	public String getComName() {
		return comName;
	}

	public void setComName(String comName) {
		this.comName = comName;
	}

	public TPublicServiceComRecruit() {
		super();
	}

    /**
     * setter for postId
     * @param postId
     */
	public void setPostId(Long postId) {
		this.postId = postId;
	}

    /**
     * getter for postId
     */
	public Long getPostId() {
		return postId;
	}
	
    /**
     * setter for postName
     * @param postName
     */
	public void setPostName(String postName) {
		this.postName = postName;
	}

    /**
     * getter for postName
     */
	public String getPostName() {
		return postName;
	}
	
    /**
     * setter for postType
     * @param postType
     */
	public void setPostType(String postType) {
		this.postType = postType;
	}

    /**
     * getter for postType
     */
	public String getPostType() {
		return postType;
	}
	
    /**
     * setter for postEdu
     * @param postEdu
     */
	public void setPostEdu(String postEdu) {
		this.postEdu = postEdu;
	}

    /**
     * getter for postEdu
     */
	public String getPostEdu() {
		return postEdu;
	}
	
    /**
     * setter for postExp
     * @param postExp
     */
	public void setPostExp(String postExp) {
		this.postExp = postExp;
	}

    /**
     * getter for postExp
     */
	public String getPostExp() {
		return postExp;
	}
	
    /**
     * setter for releaseTime
     * @param releaseTime
     */
	public void setReleaseTime(String releaseTime) {
		this.releaseTime = releaseTime;
	}

    /**
     * getter for releaseTime
     */
	public String getReleaseTime() {
		return releaseTime;
	}
	
    /**
     * setter for endTime
     * @param endTime
     */
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

    /**
     * getter for endTime
     */
	public String getEndTime() {
		return endTime;
	}
	
    /**
     * setter for salary
     * @param salary
     */
	public void setSalary(String salary) {
		this.salary = salary;
	}

    /**
     * getter for salary
     */
	public String getSalary() {
		return salary;
	}
	
    /**
     * setter for postDesc
     * @param postDesc
     */
	public void setPostDesc(String postDesc) {
		this.postDesc = postDesc;
	}

    /**
     * getter for postDesc
     */
	public String getPostDesc() {
		return postDesc;
	}
	
    /**
     * setter for hiddenType
     * @param hiddenType
     */
	public void setHiddenType(Integer hiddenType) {
		this.hiddenType = hiddenType;
	}

    /**
     * getter for hiddenType
     */
	public Integer getHiddenType() {
		return hiddenType;
	}
	
    /**
     * setter for comId
     * @param comId
     */
	public void setComId(Long comId) {
		this.comId = comId;
	}

    /**
     * getter for comId
     */
	public Long getComId() {
		return comId;
	}
	
    /**
     * setter for valid
     * @param valid
     */
	public void setValid(Integer valid) {
		this.valid = valid;
	}

    /**
     * getter for valid
     */
	public Integer getValid() {
		return valid;
	}
	
    /**
     * setter for createTime
     * @param createTime
     */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

    /**
     * getter for createTime
     */
	public Date getCreateTime() {
		return createTime;
	}
	
    /**
     * setter for createBy
     * @param createBy
     */
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

    /**
     * getter for createBy
     */
	public String getCreateBy() {
		return createBy;
	}
	
    /**
     * setter for updateTime
     * @param updateTime
     */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

    /**
     * getter for updateTime
     */
	public Date getUpdateTime() {
		return updateTime;
	}
	
    /**
     * setter for updateBy
     * @param updateBy
     */
	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

    /**
     * getter for updateBy
     */
	public String getUpdateBy() {
		return updateBy;
	}
	
}
